Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81130 - SRPMS: `rpm -bb` hangs if compile-error has been encountered
Summary: SRPMS: `rpm -bb` hangs if compile-error has been encountered
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: compat-gcc
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-01-05 08:16 UTC by Sysoltsev Slawa
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-07 13:38:31 UTC


Attachments (Terms of Use)
log done by `rpmbuild --define "_topdir $(pwd)/.." --define "_tmppath $(pwd)/../tmp" -bb` (deleted)
2003-01-05 08:19 UTC, Sysoltsev Slawa
no flags Details

Description Sysoltsev Slawa 2003-01-05 08:16:25 UTC
Description of problem:
I can't build compat-gcc-7.3-2.96.110 by GNU cc - amongst warnings compiler 
emits error and then rpm hangs. Problem appear when output from rpm is 
pipelined, for example like `rpm ... | tee LOG`.
As I could get from `ps`, system waits two /bin/sh, which are spawned somewhere 
during build. They have parent PID as 1 and they don't exit. So parent of `rpm` 
becomes <defunct> waiting infinitely for child cleaning.
In this tracker you shouldn't mind about compilation errors during build but you 
should pay attention to such ill-formed build process, where compilation error 
causes hanging. Seems something inside has been finished unclearly. As 
installation script is usually run with root privilege, extra attention should be paid to 
neatness.

Iâll attach the log, done by ` rpmbuild --define "_topdir $(pwd)/.." --define "_tmppath 
$(pwd)/../tmp" -bb compat-gcc.spec 2>&1 | tee LOG` command with ctrl/C in the 
end (when it hangs). Feel free to contact me if you canât reproduce this bug (I note 
that you are to have error inside build, so probably erroneous patch will be needed 
for you).

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. rpm -i compat-gcc-7.3-2.96.110.src.rpm
2. cd to SPECS directory
3. rpmbuild --define "_topdir $(pwd)/.." --define "_tmppath $(pwd)/../tmp" -bb 
compat-gcc.spec 2>&1 | tee LOG

    
Actual results:
Installation error and hanging

Expected results:
At least any exit without hanging and without extra running program left in memory.

Additional info:

Comment 1 Sysoltsev Slawa 2003-01-05 08:19:16 UTC
Created attachment 89140 [details]
log done by `rpmbuild --define "_topdir $(pwd)/.." --define "_tmppath $(pwd)/../tmp" -bb`

archived, to unpack: tar -xzvf LOG.tgz

Comment 2 Jakub Jelinek 2004-10-07 13:38:31 UTC
compat-gcc with 2.96-RH is no longer included in the distribution.


Note You need to log in before you can comment on or make changes to this bug.